Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 514400 - dev-cpp/pficommon-1.3.1.0 fails to build
Summary: dev-cpp/pficommon-1.3.1.0 fails to build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Naohiro Aota
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-22 10:05 UTC by Patrick Lauer
Modified: 2018-01-26 23:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Lauer gentoo-dev 2014-06-22 10:05:32 UTC
* Package:    dev-cpp/pficommon-1.3.1.0
 * Repository: gentoo
 * Maintainer: naota@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking pficommon-1.3.1.0.tar.gz to /var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work
>>> Source unpacked in /var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work
>>> Preparing source in /var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0 ...
 * Applying pficommon-1.3.1.0-libdir.patch ...
 [ ok ]
 * Applying pficommon-1.3.1.0-soname.patch ...
 [ ok ]
 * Applying pficommon-1.3.1.0-postgresql.patch ...
 [ ok ]
 * Applying pficommon-1.3.1.0-gcc-4.7.patch ...
 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0 ...
CCFLAGS="-O2 -pipe" LINKFLAGS="-O2 -pipe -Wl,-O1 -Wl,--as-needed" "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/waf" --prefix=/usr --libdir=/usr/lib64 --disable-fcgi --disable-magickpp --disable-mprpc --disable-database configure
Traceback (most recent call last):
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/waf", line 161, in <module>
    Scripting.waf_entry_point(cwd, VERSION, wafdir)
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Scripting.py", line 94, in waf_entry_point
    parse_options()
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Scripting.py", line 124, in parse_options
    Context.create_context('options').execute()
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Options.py", line 129, in execute
    super(OptionsContext,self).execute()
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Context.py", line 87, in execute
    self.recurse([os.path.dirname(g_module.root_path)])
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Context.py", line 127, in recurse
    user_function(self)
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/wscript", line 15, in options
    opt.load('unittest_gtest')
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Context.py", line 81, in load
    module=load_tool(t,path)
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/extras/compat15.py", line 77, in load_tool
    ret=eld(*k,**kw)
  File "/var/tmp/portage/dev-cpp/pficommon-1.3.1.0/work/pficommon-1.3.1.0/.waf3-1.6.7-0a94702c61504c487a251b8d0a04ca9a/waflib/Context.py", line 299, in load_tool
    __import__(d)
TypeError: source code string cannot contain null bytes
 * ERROR: dev-cpp/pficommon-1.3.1.0::gentoo failed (configure phase):
 *   configure failed

Portage 2.2.10 (default/linux/amd64/13.0, gcc-4.9.0, glibc-2.19-r1, 3.7.10-gentoo x86_64)
=================================================================
System uname: Linux-3.7.10-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_E31275_@_3.40GHz-with-gentoo-2.2
KiB Mem:    32800928 total,   5042528 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Sun, 22 Jun 2014 00:00:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.2_p47
dev-lang/python:          2.7.6-r1, 3.2.5-r4, 3.3.5, 3.4.0
dev-util/cmake:           2.8.12.2-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.9.0
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 4"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync parallel-fetch preserve-libs protect-owned sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx modules multilib ncurses nls nptl openmp pam pcre readline session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 1 Larry the Git Cow gentoo-dev 2018-01-26 23:31:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebc2e81a53bd9d7af6da1a9abdd067f6e847b71d

commit ebc2e81a53bd9d7af6da1a9abdd067f6e847b71d
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-01-26 23:26:45 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-01-26 23:31:31 +0000

    dev-cpp/pficommon: remove last rited package
    
    Closes: https://bugs.gentoo.org/514400
    Closes: https://bugs.gentoo.org/596078
    Closes: https://bugs.gentoo.org/598609
    Closes: https://bugs.gentoo.org/640096
    Closes: https://bugs.gentoo.org/641428

 dev-cpp/pficommon/Manifest                         |   1 -
 .../files/pficommon-1.3.1.0-gcc-4.7.patch          |  50 ---
 .../pficommon/files/pficommon-1.3.1.0-gcc6.patch   | 350 ---------------------
 .../pficommon/files/pficommon-1.3.1.0-libdir.patch |  49 ---
 .../files/pficommon-1.3.1.0-postgresql.patch       |  13 -
 .../pficommon/files/pficommon-1.3.1.0-soname.patch | 200 ------------
 dev-cpp/pficommon/metadata.xml                     |  14 -
 dev-cpp/pficommon/pficommon-1.3.1.0.ebuild         |  58 ----
 8 files changed, 735 deletions(-)